.sidebar {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    width: 250px;
    min-width: 250px;
    padding: 48px 18px;
    -webkit-box-shadow: -10px 0px 24px 0px rgba(136, 141, 184, 1);
    -moz-box-shadow: -10px 0px 24px 0px rgba(136, 141, 184, 1);
    box-shadow: -10px 0px 24px 0px rgba(136, 141, 184, 1);
    transition: transform 0.3s ease-in-out;
}

.sidebar.active {
    position: fixed; /* La sidebar reste en place */
    top: 0;
    left: 0;
    width: 250px;
    height: 100%;
    background-color: white; /* Couleur de fond pour recouvrir le main */
    box-shadow: -10px 0px 24px rgba(136, 141, 184, 1);
    z-index: 1000; /* Passe au-dessus du main */
    transform: translateX(0);
    transition: transform 0.3s ease-in-out;
}

.menu_icon {
    display: none; 
    font-size: 24px;
    cursor: pointer;
    position: fixed;
    top: 10px;
    left: 10px;
    z-index: 2000;
}

.menu_icon_img {
    width: 24px;
    height: 24px;
}

/* pour les écrans de plus de 900px, on cache la sidebar */
@media screen and (max-width: 900px) {
    .sidebar {
        transform: translateX(-100%);
    }
    .sidebar_hidden {
        display: none;
    }
    .menu_icon {
        display: block; 
    }
}

.sidebar.active {
    transform: translateX(0); 
}

.sidebar_header {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 18px;
}

.sidebar_logo {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 58px;
    height: 58px;
    margin-right: 16px;
    background-color: #F3F3F3;
    border-radius: 14px;
}

.sidebar_logo p {
    width: fit-content;
    font-weight: 600;
}

.sidebar_title {
    font-size: 18px;
    font-weight: 400;
}

.sidebar .sidebard_items {
    display: flex;
    flex-direction: column;
    list-style: none;
    width: 100%;
    margin-bottom: 78px;
}

.sidebar .sidebard_items a {
    text-decoration: none;
    color: inherit;
}

.sidebar .sidebard_item {
    display: flex;
    align-items: center;
    width: 100%;
    height: 52px;
    margin-bottom: 10px;
    padding: 10px;
    font-weight: 600;
    background-color: #F8F8F8;
    border-radius: 14px;
    cursor: pointer;
    transition: all 0.5s;
}

.sidebar .sidebard_item:hover,
.sidebar .sidebard_item:active {
    background-color: #E2EDF8;
    color: #356795;
}

.sidebar .sidebar_deconnexion {
    width: 100%;
}

.sidebar button {
    width: 100%;
    height: 46px;
    border: solid cornflowerblue 1px;
    color: cornflowerblue;
    background-color: white;
    text-align: center;
    border-radius: 36px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    transition: all 0.5s;
}

.sidebar button:hover {
    border: solid #356795 1px;
    color: #356795;
}